CentOS Bug Tracker
CentOS Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005158CentOS-6bashpublic2011-10-01 14:302012-01-31 01:38
Reporterochapman 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSCentOSOS Version6
Product Version6.0 
Target VersionFixed in Version6.1 
Summary0005158: centos6 BASH_VERSINFO[5]/MACHTYPE
DescriptionIn CentOS 5.5 , value of BASH_VERSINFO[5]/MACHTYPE is "x86_64-redhat-linux-gnu"(bash-3.2-32.el5.x86_64)
However, "x86_64-unknown-linux-gnu" in CentOS 6.0/cr (bash-4.1.2-8.el6-x86_64)

# cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 23
model name : Intel(R) Xeon(R) CPU X3330 @ 2.66GHz
...

ps: "x86_64-redhat-linux-gnu" in rhel 6.1(bash-4.1.2-8.el6-x86_64)
Steps To Reproduceecho $MACHTYPE
TagsQA-6.1
Attached Files

- Relationships
related to 0004995resolvedkbsingh@karan.org grub-0.97-68.el6 breaks some scripts having image files in /usr/share/grub/x86_64-unknown 
related to 0005281acknowledgedkbsingh@karan.org Packages have added .centos. in name to rebuild, are not modified 
related to 0005299closedkbsingh@karan.org POSTUN warning during update to 6.1 
related to 0005478resolvedJohnnyHughes librsvg2 does not register it's capability with gtk2 

-  Notes
(0013434)
athmane (developer)
2011-10-01 14:37

Could be related to the rpm macros in the buildroot as in bug 0004995

[1] http://bugs.centos.org/view.php?id=4995 [^]
(0013440)
JohnnyHughes (administrator)
2011-10-01 23:35

I believe this is indeed related to the that bug. We are currently working on a way to set %_host_vendor to something other than unknown inside the mock chroot(s) while building.

Once we get this worked out, we should be able to fix the problem.
(0013452)
JohnnyHughes (administrator)
2011-10-04 12:00

Upstream bug filed:

http://bugzilla.redhat.com/show_bug.cgi?id=743229 [^]
(0013456)
JohnnyHughes (administrator)
2011-10-04 12:05

We have verified at least the following SRPMS are impacted:

bash
emacs
grub
gtk2
pango

We will be rebuilding these SRPMS and pushing into 6.0CR and onto the 6.1 ISO set.
(0013858)
JohnnyHughes (administrator)
2011-12-02 09:54

After rebuilding gtk2, the following packages also need to be rebuilt due to dependencies:

at-spi-1.28.1-2.el6.src.rpm, gtk2-engines-2.18.4-5.el6.src.rpm, ibus-1.3.4-5.el6.src.rpm, libcanberra-0.22-1.el6.src.rpm, libgail-gnome-1.20.1-4.1.el6.src.rpm, librsvg2-2.26.0-5.el6.src.rpm, libwmf-0.2.8.4-22.el6.src.rpm, PackageKit-0.5.8-19.el6.src.rpm
(0013870)
JohnnyHughes (administrator)
2011-12-06 15:40

fixed in centos 6.1

- Issue History
Date Modified Username Field Change
2011-10-01 14:30 ochapman New Issue
2011-10-01 14:37 athmane Note Added: 0013434
2011-10-01 14:38 athmane Tag Attached: QA-6.1
2011-10-01 23:35 JohnnyHughes Note Added: 0013440
2011-10-01 23:35 JohnnyHughes Relationship added related to 0004995
2011-10-04 12:00 JohnnyHughes Note Added: 0013452
2011-10-04 12:05 JohnnyHughes Note Added: 0013456
2011-12-02 09:54 JohnnyHughes Note Added: 0013858
2011-12-02 10:43 JohnnyHughes Relationship added related to 0005281
2011-12-06 15:40 JohnnyHughes Note Added: 0013870
2011-12-06 15:40 JohnnyHughes Status new => resolved
2011-12-06 15:40 JohnnyHughes Fixed in Version => 6.1
2011-12-06 15:40 JohnnyHughes Resolution open => fixed
2011-12-13 09:06 toracat Relationship added related to 0005299
2012-01-31 01:38 toracat Relationship added related to 0005478


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker